Wildcard Mechnism for Converter Selection
05/19/2011 03:52 PM - S. Wrede

Status: Resolved Start date: 05/19/2011
Priority: Normal Due date:
Assignee: J. Wienke % Done: 60%
Category: Estimated time: 0.00 hour
Target version: 0.3
Description
This will be useful for
    -  writing introspection/logging tools
    -  implementation of generic converters (e.g. generic ProtocolBuffer converter)
Affects
    -  Java (Johannes)
    -  C++ (Jan)
    -  Python (Jan)

Associated revisions
Revision 8728a652 - 06/07/2011 09:01 PM - J. Moringen
Improved flexibility in converter selection mechanism
refs #304
    -  src/CMakeLists.txt: added files

  src/rsb/converter/ConverterSelectionStrategy.h,
  src/rsb/converter/PredicateConverterList.h,
  src/rsb/converter/RegexConverterPredicate.cpp,
  src/rsb/converter/RegexConverterPredicate.h and
  src/rsb/converter/UnambiguousConverterMap.h

    -  src/rsb/converter/ConverterSelectionStrategy.h: new file; contains
  ConverterSelectionStrategy interface which has been lifted from
  UnambiguousConverterMap

    -  src/rsb/converter/PredicateConverterList.h: new file; contains an
  implementation of ConverterSelectionStrategy that uses predicates
  and a chain of responsibility

    -  src/rsb/converter/RegexConverterPredicate.{h,cpp}: new files; a
  converter predicate based on regular expression matching against the
  query string

    -  src/rsb/converter/UnambiguousConverterMap.h: implements
  ConverterSelectionStrategy

    -  test/CMakeLists.txt: added files
  test/rsb/converter/PredicateConverterListTest.cpp and
  test/rsb/converter/RegexConverterPredicateTest.cpp

    -  test/rsb/converter/PredicateConverterListTest.cpp: new file; unit
  test for PredicateConverterList

    -  test/rsb/converter/RegexConverterPredicateTest.cpp: new file; unit
  test for RegexConverterPredicate

Revision a29fc96b - 06/07/2011 09:34 PM - J. Moringen
Added missing RSB_EXPORT in src/rsb/converter/RegexConverterPredicate.h
refs #304
    -  src/rsb/converter/RegexConverterPredicate.h: added RSB_EXPORT for
  class RegexConverterPredicate

Revision 7fa3afd5 - 06/08/2011 07:08 PM - J. Moringen
Added PredicateConverterList in rsb/transport/converter.py
refs #304
    -  rsb/transport/converter.py: added class ConverterSelectionStrategy

  which basically acts as an interface for converter selection; added
  class PredicateConverterList which selects converters based on
  predicate on wire-schema names and data-type names

    -  test/convertertest.py: added minimalistic test for
  PredicateConverterList

Revision 997d499d - 06/08/2011 07:43 PM - J. Moringen
Fixed errors in PredicateConverterList in rsb/transport/converter.py
refs #304
    -  rsb/transport/converter.py: fixed some errors in

  ConverterSelectionStrategy
    -  test/convertertest.py: added proper tests for

  PredicateConverterList.getConverterFor{WireSchema,DataType}

History
#1 - 05/23/2011 05:41 PM - J. Moringen
- Target version set to 0.3

#2 - 05/23/2011 05:43 PM - J. Moringen
- Subject changed from converter selection with wildcard mechnism to ease introspection and implementation of generic converters to Wildcard 
Mechnism for Converter Selection

#3 - 06/07/2011 10:28 AM - J. Moringen
- Status changed from New to In Progress
- Assignee set to J. Moringen

#4 - 06/07/2011 11:38 PM - J. Moringen
- % Done changed from 0 to 40

#5 - 06/08/2011 06:23 PM - J. Moringen
- Description updated

#6 - 06/08/2011 07:51 PM - J. Moringen
- % Done changed from 40 to 60

#7 - 06/08/2011 07:51 PM - J. Moringen
- Assignee changed from J. Moringen to J. Wienke

#8 - 06/09/2011 12:26 PM - J. Moringen
- Status changed from In Progress to Resolved

Converter mechanism will be revised anyway. Java implementation can wait until then.
